/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2020.03.23
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQȺ   : 814641858
;  *    @΢ٷ̳       : http://bbs.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/
#ifndef User_Def_H__
#define User_Def_H__

#include "MC51F003A4_COMMON.h"
#include "GPIO.h"
#include "UART.h"

//ȫֺ
#define FSYS_CLOCK 16000000
#define UART_RX_DATA_MAX 10 //ڽջ

//ȫֱ
extern __O uint8_t UART_RX_buff[UART_RX_DATA_MAX];
extern __O uint8_t UART_RX_len;

// //λһ:
// //bdata(ƬRAMλѰַ)
// __O uint8_t bdata Flag_Buff1;
// sbit Flag_Test=Flag_Buff1^0;

////λ:
//bit	F_xxx;

//λ:
//λ
typedef union {
	unsigned char byte;
	struct
	{
		uint8_t bit0 : 1;
		uint8_t bit1 : 1;
		uint8_t bit2 : 1;
		uint8_t bit3 : 1;
		uint8_t bit4 : 1;
		uint8_t bit5 : 1;
		uint8_t bit6 : 1;
		uint8_t bit7 : 1;
	} bits;
} Flag;

extern __O Flag Flag1;

#define UART_RX_STA_FLAG Flag1.bits.bit0
#define UART_RX_END_FLAG Flag1.bits.bit1

#endif

/**************************** end of file *********************************************/
